Subject: Re: [Ips] IMPORTANT: WG Last Call on NodeArchitecture Key changes

From: Dave Wyso <[email-masked]>
Date: Thu, 9 Nov 2006 21:31:41 -0800 (PST)

--- [email-masked] wrote:

> Everyone,
> 
> During AD Review of the NodeArchitecture key draft:
> 
>       Declarative Public Extension Key for iSCSI
> Node Architecture
>                
> draft-ietf-ips-iscsi-nodearch-key-02.txt
> 
> our AD (Lars) observed that the draft is of
> sufficient quality and
> utility to be a standards-track RFC (i.e., be
> published as a proposed
> standard RFC instead of as an informational RFC). 
> In order to do
> that, we need to deal with the following language in
> Section 12.22
> of RFC 3720:
> 
>    For IANA registered keys the string following X#
> must be
>    registered with IANA and the use of the key MUST
> be described
>    by an informational RFC.
> 
> Similar language exists for Y# digest formats and Z#
> authentication
> methods.  The exclusion of experimental and
> standards track RFCs
> is believed to be an oversight in all three cases.
> 
> A standards track RFC can update RFC 3720 to correct
> this oversight.
> 
> This is an IP Storage (ips) Working Group Last Call
> on the following
> changes in the direction and content of the
> NodeArchitecture Key draft:
> 	(1) Publish the draft as a Proposed Standard RFC
> instead of
> 		as an Informational RFC.
> 	(2) Add language to the draft that updates RFC 3720
> to allow
> 		experimental and standards track RFCs in addition
> to
> 		informational RFCs for X# negotiation keys, Y#
> digest
> 		formats, and Z# authentication methods.
> This is a WG Last Call on direction only.  Actual
> text to realize
> change (2) will be provided later [translation: I
> don't want to invest
> the time in writing it if it's not going to be used
> ;-) ].
> 
> This WG Last Call will run through 1159pm prevailing
> Pacific Time (US)
> on Monday, November 6th, 2006.  Any objection to,
> suggested
> modification to, or comment on this proposed
> direction needs to be
> posted to this list before the end of this WG Last
> Call.
> 

Since Monday has passed, are we moving forward with
the above direction?

I know I owe Lars an ID update for another comment he
had.  For item #2, I guess it wasn't clear if we
should continue trying to clarify the wording, or go
with Bill's suggestion of removing X#.

If we were to try to clarify the wording, here is
something that may get the ball rolling.

First, add a new section, Section "1.2 About this
Document", and move the original "1.2 Overview" to
"1.3 Overview".  If necessary, I can change the first
sentence of the paragraph to say "The intended status
of this document is ..." for the ID submission.

Second, we add one sentence to the end of the abstract
stating that it clarifies RFC 3720 regarding the
required document status of an iSCSI extension item,
and add an "Updates: 3720" line to the header.

1.2 About this Document

This document specifies an Internet standards track
document, not an informational RFC.  Section 12.22 of
RFC 3720 states that an iSCSI extension key "MUST" be
described by an informational RFC.  Note however that
Section 13.5, which describes the extension item
registration procedure (in particular, Section
13.5.2), clarifies this requirement by allowing
standards track RFCs to describe extension items.  It
can be seen then that the intent of RFC 3720 was that
informational status is the bare minimum requirement
for an RFC that describes an iSCSI extension item.

Abstract

   The iSCSI protocol, described in RFC 3720 [2],
allows for extension items to the protocol in the form
of Private or Public Extension Keys.  This
Internet-Draft describes a Public Extension Key for
the purpose of enhancing iSCSI supportability.  The
key accomplishes this objective by allowing iSCSI
nodes to communicate architecture details during the
iSCSI login sequence.  The receiving node can then use
this information for enhanced logging and support.

   In addition to defining an extension key, this
document clarifies RFC 3720 regarding the required
document status of an iSCSI extension item.

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips

---

From: [email-masked]
Date: Sun, 12 Nov 2006 12:33:50 -0500

The WG Last Call has ended on the following:

> This is an IP Storage (ips) Working Group Last Call on the following
> changes in the direction and content of the NodeArchitecture 
> Key draft:
> 	(1) Publish the draft as a Proposed Standard RFC instead of
> 		as an Informational RFC.
> 	(2) Add language to the draft that updates RFC 3720 to allow
> 		experimental and standards track RFCs in addition to
> 		informational RFCs for X# negotiation keys, Y# digest
> This is a WG Last Call on direction only.  Actual text to realize
> change (2) will be provided later [translation: I don't want to invest
> the time in writing it if it's not going to be used ;-) ].

As WG chair, I believe the rough consensus of the WG (and it is a bit
rough in part) is to proceed with items (1) and (2), and to have
the NodeArchitecture key remain as an X# key.

I will provide Dave W. with appropriate text for item (2) - this is
not a "clarification" - it is an actual change to requirements in RFC
3720 for which "MUST" was used.  Expect to see a revised draft in the
next week or two.

Thanks,
--David
----------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------